package com.zd.laboratory.mapper;

import java.util.List;

import com.zd.laboratory.domain.LabApprovalDetail;
import org.apache.ibatis.annotations.Param;

/**
 * 安全准入审批记录提交资料Mapper接口
 *
 * @author liubo
 * @date 2021-09-10
 */
public interface LabApprovalDetailMapper {
    /**
     * 查询安全准入审批记录提交资料
     *
     * @param id 安全准入审批记录提交资料主键
     * @return 安全准入审批记录提交资料
     */
    public LabApprovalDetail selectLabApprovalDetailById(Long id);

    public LabApprovalDetail selectLabApprovalDetailByApprovalId(Long approvalId);

    /**
     * 查询安全准入审批记录提交资料列表
     *
     * @param labApprovalDetail 安全准入审批记录提交资料
     * @return 安全准入审批记录提交资料集合
     */
    public List<LabApprovalDetail> selectLabApprovalDetailList(LabApprovalDetail labApprovalDetail);

    /**
     * 新增安全准入审批记录提交资料
     *
     * @param labApprovalDetail 安全准入审批记录提交资料
     * @return 结果
     */
    public int insertLabApprovalDetail(LabApprovalDetail labApprovalDetail);

    /**
     * 修改安全准入审批记录提交资料
     *
     * @param labApprovalDetail 安全准入审批记录提交资料
     * @return 结果
     */
    public int updateLabApprovalDetail(LabApprovalDetail labApprovalDetail);

    /**
     * 删除安全准入审批记录提交资料
     *
     * @param id 安全准入审批记录提交资料主键
     * @return 结果
     */
    public int deleteLabApprovalDetailById(Long id);

    /**
     * 批量删除安全准入审批记录提交资料
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteLabApprovalDetailByIds(Long[] ids);

    int insertBatch(@Param("entities") List<LabApprovalDetail> entities);

    int deleteLabApprovalDetailByApprovalId(Long approvalId);
}
